Bug 102873 - rm hangs while deleting symlinks
rm hangs while deleting symlinks
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-21 22:33 EDT by Andrei Gaponenko
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 08:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrei Gaponenko 2003-08-21 22:33:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030716

Description of problem:
The rm command hangs when trying to delete a symlink on localdisk,
which points to a file on a hang NFS mount.


Version-Release number of selected component (if applicable):
fileutils-4.1.9-11

How reproducible:
Always

Steps to Reproduce:
1. ln -s /some_junk .
2. strace /bin/rm ./some_junk
3. Observe the calls:

access("./some_junk", W_OK)             = -1 ENOENT (No such file or directory)
stat64("./some_junk", 0xbfffdcd0)       = -1 ENOENT (No such file or directory)

Presently rm gets stuck in access(), but the stat64() call is just as bad.  
WHY did they appear in rm in the first place???

Actual Results:  rm symlink_on_local_filesystem hangs

Expected Results:  operations on local filesystem should never hang.

Additional info:
Comment 1 Tim Waugh 2003-10-03 08:02:08 EDT
I think this should be fixed in rawhide; it is very similar to another problem
that was fixed.

Note You need to log in before you can comment on or make changes to this bug.